    # File lib/chef/provider/package.rb, line 110
          def action_reconfig
            if @current_resource.version == nil then
              Chef::Log.debug("#{@new_resource} is NOT installed - nothing to do")
              return
            end

            unless @new_resource.response_file then
              Chef::Log.debug("#{@new_resource} no response_file provided - nothing to do")
              return
            end

            status = preseed_package(@new_resource.package_name, @current_resource.version)
            unless status then
              Chef::Log.debug("#{@new_resource} preseeding has not changed - nothing to do")
              return
            end

            status = reconfig_package(@new_resource.package_name, @current_resource.version)
            @new_resource.updated_by_last_action(true) if status
            Chef::Log.info("#{@new_resource} reconfigured")
          end